| dfeccf Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDfeCcf_InternalCarrierCfg Struct Reference
Overview

Internal configuration for a single CC. More...

## Data Fields
u32 | Enable
| [0,1] (Private) Enable/Disable CC while still reserving its slot in the TDM - set by helper functions when building the configuration the TDM More...
u32 | Flush
| [0,1] (Private) Indicate CC should be flush following configuration update - set by helper functions when building the configuration channel_id? More...
u32 | MappedId
| [0-7] (Private) Defines the hardblock ID value to be used for the CC. More...
u32 | Gain
| [0-(1<<16)-1] Gain setting for this CC More...
u32 | ImagCoeffSet
| [0-7] Identify the coefficient set for the complex data on this CC More...
u32 | RealCoeffSet
| [0-7] Identify the coefficient set for the real data on this CC More...

## Detailed Description

Internal configuration for a single CC.

## Field Documentation

u32 XDfeCcf_InternalCarrierCfg::Enable

[0,1] (Private) Enable/Disable CC while still reserving its slot in the TDM - set by helper functions when building the configuration the TDM

Referenced by XDfeCcf_AddCC(), XDfeCcf_AddCCtoCCCfg(), XDfeCcf_RemoveCC(), and XDfeCcf_RemoveCCfromCCCfg().

u32 XDfeCcf_InternalCarrierCfg::Flush

[0,1] (Private) Indicate CC should be flush following configuration update - set by helper functions when building the configuration channel_id?

Referenced by XDfeCcf_AddCC(), XDfeCcf_AddCCtoCCCfg(), XDfeCcf_UpdateCC(), and XDfeCcf_UpdateCCinCCCfg().

u32 XDfeCcf_InternalCarrierCfg::Gain

[0-(1<<16)-1] Gain setting for this CC

Referenced by XDfeCcf_AddCC(), XDfeCcf_AddCCtoCCCfg(), XDfeCcf_GetCarrierCfg(), XDfeCcf_UpdateCC(), and XDfeCcf_UpdateCCinCCCfg().

u32 XDfeCcf_InternalCarrierCfg::ImagCoeffSet

[0-7] Identify the coefficient set for the complex data on this CC

Referenced by XDfeCcf_AddCC(), XDfeCcf_AddCCtoCCCfg(), XDfeCcf_GetCarrierCfg(), XDfeCcf_UpdateCC(), and XDfeCcf_UpdateCCinCCCfg().

u32 XDfeCcf_InternalCarrierCfg::MappedId

[0-7] (Private) Defines the hardblock ID value to be used for the CC.

Used to map arbitrary/system CCID values to available hard block TID values. Enumerated incrementally from 0 to max supported CC for a given IP configuration

Referenced by XDfeCcf_AddCC(), XDfeCcf_AddCCtoCCCfg(), XDfeCcf_RemoveCC(), and XDfeCcf_RemoveCCfromCCCfg().

u32 XDfeCcf_InternalCarrierCfg::RealCoeffSet

[0-7] Identify the coefficient set for the real data on this CC

Referenced by XDfeCcf_AddCC(), XDfeCcf_AddCCtoCCCfg(), XDfeCcf_GetCarrierCfg(), XDfeCcf_UpdateCC(), and XDfeCcf_UpdateCCinCCCfg().